### Method

# Gio FileInfo has_namespace

since: 2.22

#### Declaration [src]

    gboolean
    g_file_info_has_namespace (
      GFileInfo* info,
      const char* name_space
    )

#### Description [src]

Checks if a file info structure has an attribute in the specified `name_space`.

Available since: 2.22

#### Parameters

`name_space`

  Type: `const char*`

  A file attribute namespace.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `info` has an attribute in `name_space`, `FALSE` otherwise.